# gatsby-plugin-visiosto

[![Main workflow](https://github.com/visiosto/gatsby-plugin-visiosto/actions/workflows/main.yml/badge.svg)](https://github.com/visiosto/gatsby-plugin-visiosto/actions/workflows/main.yml)

A [Gatsby](https://www.gatsbyjs.com) plugin enabling the features used on Visiosto's web applications.

## Install

**With `yarn`:**

    yarn add gatsby-plugin-visiosto

**With `npm`:**

    npm install gatsby-plugin-visiosto

### Build

Before building `gatsby-plugin-visiosto`, please ensure that you have [Node.js](https://nodejs.org) and [Yarn](https://yarnpkg.com) installed. Please note that this project uses the [Yarn Classic](https://classic.yarnpkg.com).

First, clone the GitHub repository of `gatsby-plugin-visiosto`.

**Via HTTPS:** If you’re checking out sources as read-only, HTTPS works best.

    git clone https://github.com/visiosto/gatsby-plugin-visiosto.git

**Via SSH:** If you’re planning on regularly making direct commits, cloning over SSH may provide a better experience (it requires [uploading SSH keys to GitHub](https://help.github.com/articles/adding-a-new-ssh-key-to-your-github-account/))

    git clone git@github.com:visiosto/gatsby-plugin-visiosto.git

**Via GitHub CLI:** If you work chiefly with GitHub, using the official [GitHub CLI](https://cli.github.com) may provide the best experience.

    gh repo clone visiosto/gatsby-plugin-visiosto

After cloning the source, make sure to change to the cloned directory.

    cd gatsby-plugin-visiosto

Then install the dependencies for the build.

    yarn install

Finally, build the project.

    yarn build

## Contributing

Contributions to `gatsby-plugin-visiosto` are welcome and encouraged! There are many ways to [contribute](https://github.com/visiosto/.github/blob/main/CONTRIBUTING.md#how-can-i-contribute) to it. You can find the guidelines for contributing in [CONTRIBUTING](CONTRIBUTING.md).

This project adheres to the Contributor Covenant [Code of Conduct](https://github.com/visiosto/.github/blob/main/CODE_OF_CONDUCT.md). By participating, you’re expected to uphold this code. Please report unacceptable behaviour to antti.kivi@visiosto.fi.

## Licence

`gatsby-plugin-visiosto`’s source code is licensed under the [MIT License](LICENCE).
