"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.onRouteUpdate = void 0;

var _checkHash = _interopRequireDefault(require("./util/anchor-link/checkHash"));

var _scroller = _interopRequireDefault(require("./util/anchor-link/scroller"));

// Copyright (c) 2021 Visiosto oy
// Licensed under the MIT License
// Based on code by Chase Ohlson.
// Original code is available at https://github.com/brohlson/gatsby-plugin-anchor-links.
// eslint-disable-next-line import/prefer-default-export
const onRouteUpdate = function checkScrollOnRouteUpdate({
  location
}, {
  offset = 0,
  duration = 1000
}) {
  const isBrowser = typeof window !== 'undefined';
  const windowHash = isBrowser ? window.visiostoScrollHash : undefined;

  if (isBrowser) {
    window.visiostoScrollOffset = offset;
    window.visiostoScrollDuration = duration;
  }

  if (windowHash) {
    (0, _scroller.default)(windowHash, offset);
  } else {
    (0, _checkHash.default)(location, offset);
  }

  if (isBrowser && windowHash) {
    window.visiostoScrollHash = undefined;
  }
};

exports.onRouteUpdate = onRouteUpdate;