"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = checkHash;

var _errorTypes = _interopRequireDefault(require("./errorTypes"));

var _logWarning = _interopRequireDefault(require("./logWarning"));

var _scroller = _interopRequireDefault(require("./scroller"));

// Copyright (c) 2021 Visiosto oy
// Licensed under the MIT License
// Based on code by Chase Ohlson.
// Original code is available at https://github.com/brohlson/gatsby-plugin-anchor-links.
function checkHash(location, offset) {
  const {
    hash
  } = location;
  const selector = hash ? hash.substr(1) : null;
  const validElement = selector ? document.getElementById(selector) : null;

  if (hash && Boolean(validElement)) {
    (0, _scroller.default)(hash, offset);
  } else if (hash && selector && !validElement) {
    (0, _logWarning.default)(_errorTypes.default.INVALID_HASH);
  }
}